Remove a topic subscription from an existing Webhook Listener.
Remove Webhook Topic Subscription
post
/api/webhook-listeners/{listenerId}/unsubscribe Request
Path Parameters
listenerIdstringrequiredId for the Webhook Listener
Body application/json
topicstringrequiredThe topic the Webhook Listener will unsubscribe from.
Response
Successful operation.
Body application/json
msgstringrequiredA message indicating the result of removing the subscription.
topicNamestringThe topic to which the webhook listener has been unsubscribed from.
listenerIdstringrequiredThe id of the webhook listener associated with this subscription.
User is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Insufficient permissions to perform the action.
ACCOUNT_TYPE_INVALID accountType of the accountId is not of type PARTNER.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring